Dockerでどこへいくのか

# 対象

* Dockerつかったことない人

# 目的

* dockerどうなんっておもってる人へ
* OSHの懇親会なのでその辺のネタをからめる

# ネタ

* dockerのイメージはCIを作成
* dockerのコンテナでテスト
  * CIでカバレッジツールがコミットIDがとれない
* dockerで開発
* dockerで運用
* GCEのcontainer最適化イメージ
* docker logs -f でログがみれる
* docker inspect で環境変数の確認できる
* GCEのレジストリ

# 伝えたいこと

従来のやり方でいろんな場所に導入できる。
Dockerはきてるよーな気がするから抑えるべきかもしれない

# 内容

## Dockerしてます

Docker…あれはいいものだ。

### Dockerなんぞや

dockerさえインストールすればアプリがうごく

* 一度つくればどこでも実行できる

* Javaに似ている

ついでにファイルシステムの変更履歴に似ている

### Docker歴

* 2014年5月ごろ
  * Gentooのイメージをつくって遊んでた
* 2015年1月ごろ
  * Railsアプリの開発&実行
  * CMSの会 Vol.2に参加するための環境

Dockerはまだまだ実績があれなので、Chefでインフラ構築の自動化をしていた
しかし、気がついたらDockerをしていた

習うよりなれろ
趣味で作ってるものには実践投入

curl http://ftp.iij.ad.jp/pub/linux/gentoo/releases/amd64/autobuilds/current-stage3-amd64/stage3-amd64-20141204.tar.bz2  | bzcat | docker import - eiel/gentoo


### Dockerでしたこと

開発環境
テスト環境
本番環境

## 個人的に良い点

* テスト終了後からのデプロイが早い
* CIサーバはDockerがうごけばいい
* 本番環境はDockerがうごけばいい
* 開発環境はDockerもうごくといい

## 起きた問題とかとその改善点

CIでテストを実行するときに環境が違い連携ツールがうまくうごかない

環境変数を割た知てやればだいたいなんとかなる

## 今後やりたいこと

* hubotから操作したい
* デプロイをもっと楽にしたい
* 自動スケールしたい
* docker build をはやくしたい
* ダウンタイムをゼロでデプロイしたい

## まとめ

Gitの時もそうだったけど
これは使えたほうがいい感が漂う
なら使おう

# ツイート

oh-my-eshellはまだですか
https://twitter.com/eielh/status/552268856907927552

感動をくれないか。
https://twitter.com/eielh/status/553541646084632577

意志をくれないか。
https://twitter.com/eielh/status/553541726640435200

気をくれないか。
https://twitter.com/eielh/status/553541801374531585

金をくれないか。(これはそのままでいいか
https://twitter.com/eielh/status/553541889337462785

君の笑顔見るためならなんだってする。
https://twitter.com/eielh/status/558957870893367298

Dockerで鼻血でる。
https://twitter.com/eielh/status/559960408312651776
